GET/api/integrations/msp/tenants

Get MSP tenants

Request

GET
/api/integrations/msp/tenants
curl -X GET https://api.netbird.io/api/integrations/msp/tenants \
-H 'Accept: application/json' \
-H 'Authorization: Token <TOKEN>' 

Response

[
  {
    "id": "ch8i4ug6lnn4g9hqv7m0",
    "name": "My new tenant",
    "domain": "tenant.com",
    "groups": [
      {
        "id": "ch8i4ug6lnn4g9hqv7m0",
        "role": "admin"
      }
    ],
    "activated_at": "2021-08-01T12:00:00Z",
    "dns_challenge": "YXNkYSBkYXNhc2Rhc2RhIGFzZGFzZDJhc2QyNDUxNQ",
    "created_at": "2021-08-01T12:00:00Z",
    "updated_at": "2021-08-01T12:00:00Z",
    "invited_at": "2021-08-01T12:00:00Z",
    "status": "active"
  }
]

POST/api/integrations/msp/tenants

Create MSP tenant

Request-Body Parameters

  • Name
    name
    Type
    string
    Required
    required
    Enum
    Description

    The name for the MSP tenant

  • Name
    domain
    Type
    string
    Required
    required
    Enum
    Description

    The name for the MSP tenant

  • Name
    groups
    Type
    object[]
    Required
    required
    Enum
    Description
    MSP users Groups that can access the Tenant and Roles to assume
      • Name
        id
        Type
        string
        Required
        required
        Enum
        Description

        The Group ID

      • Name
        role
        Type
        string
        Required
        required
        Enum
        Description

        The Role name

Request

POST
/api/integrations/msp/tenants
curl -X POST https://api.netbird.io/api/integrations/msp/tenants \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "name": "My new tenant",
  "domain": "tenant.com",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "role": "admin"
    }
  ]
}'

Response

{
  "id": "ch8i4ug6lnn4g9hqv7m0",
  "name": "My new tenant",
  "domain": "tenant.com",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "role": "admin"
    }
  ],
  "activated_at": "2021-08-01T12:00:00Z",
  "dns_challenge": "YXNkYSBkYXNhc2Rhc2RhIGFzZGFzZDJhc2QyNDUxNQ",
  "created_at": "2021-08-01T12:00:00Z",
  "updated_at": "2021-08-01T12:00:00Z",
  "invited_at": "2021-08-01T12:00:00Z",
  "status": "active"
}

PUT/api/integrations/msp/tenants/{id}

Update MSP tenant

Path Parameters

  • Name
    id
    Type
    string
    Required
    required
    Enum
    Description

    The unique identifier of a tenant account

Request-Body Parameters

  • Name
    name
    Type
    string
    Required
    required
    Enum
    Description

    The name for the MSP tenant

  • Name
    groups
    Type
    object[]
    Required
    required
    Enum
    Description
    MSP users Groups that can access the Tenant and Roles to assume
      • Name
        id
        Type
        string
        Required
        required
        Enum
        Description

        The Group ID

      • Name
        role
        Type
        string
        Required
        required
        Enum
        Description

        The Role name

Request

PUT
/api/integrations/msp/tenants/{id}
curl -X PUT https://api.netbird.io/api/integrations/msp/tenants/{id} \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "name": "My new tenant",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "role": "admin"
    }
  ]
}'

Response

{
  "id": "ch8i4ug6lnn4g9hqv7m0",
  "name": "My new tenant",
  "domain": "tenant.com",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "role": "admin"
    }
  ],
  "activated_at": "2021-08-01T12:00:00Z",
  "dns_challenge": "YXNkYSBkYXNhc2Rhc2RhIGFzZGFzZDJhc2QyNDUxNQ",
  "created_at": "2021-08-01T12:00:00Z",
  "updated_at": "2021-08-01T12:00:00Z",
  "invited_at": "2021-08-01T12:00:00Z",
  "status": "active"
}

POST/api/integrations/msp/tenants/{id}/unlink

Path Parameters

  • Name
    id
    Type
    string
    Required
    required
    Enum
    Description

    The unique identifier of a tenant account

Request-Body Parameters

  • Name
    owner
    Type
    string
    Required
    required
    Enum
    Description

    The new owners user ID.

Request

POST
/api/integrations/msp/tenants/{id}/unlink
curl -X POST https://api.netbird.io/api/integrations/msp/tenants/{id}/unlink \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "owner": "google-oauth2|123456789012345678901"
}'

POST/api/integrations/msp/tenants/{id}/dns

Verify a tenant domain DNS challenge

Path Parameters

  • Name
    id
    Type
    string
    Required
    required
    Enum
    Description

    The unique identifier of a tenant account

Request

POST
/api/integrations/msp/tenants/{id}/dns
curl -X POST https://api.netbird.io/api/integrations/msp/tenants/{id}/dns \
-H 'Authorization: Token <TOKEN>' 

POST/api/integrations/msp/tenants/{id}/subscription

Create subscription for Tenant

Path Parameters

  • Name
    id
    Type
    string
    Required
    required
    Enum
    Description

    The unique identifier of a tenant account

Request-Body Parameters

  • Name
    priceID
    Type
    string
    Required
    required
    Enum
    Description

    The Price ID to change the subscription to.

Request

POST
/api/integrations/msp/tenants/{id}/subscription
curl -X POST https://api.netbird.io/api/integrations/msp/tenants/{id}/subscription \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "priceID": "price_1HhxOpBzq4JbCqRmJxkpzL2V"
}'

POST/api/integrations/msp/tenants/{id}/invite

Invite existing account as a Tenant to the MSP account

Path Parameters

  • Name
    id
    Type
    string
    Required
    required
    Enum
    Description

    The unique identifier of an existing tenant account

Request

POST
/api/integrations/msp/tenants/{id}/invite
curl -X POST https://api.netbird.io/api/integrations/msp/tenants/{id}/invite \
-H 'Accept: application/json' \
-H 'Authorization: Token <TOKEN>' 

Response

{
  "id": "ch8i4ug6lnn4g9hqv7m0",
  "name": "My new tenant",
  "domain": "tenant.com",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "role": "admin"
    }
  ],
  "activated_at": "2021-08-01T12:00:00Z",
  "dns_challenge": "YXNkYSBkYXNhc2Rhc2RhIGFzZGFzZDJhc2QyNDUxNQ",
  "created_at": "2021-08-01T12:00:00Z",
  "updated_at": "2021-08-01T12:00:00Z",
  "invited_at": "2021-08-01T12:00:00Z",
  "status": "active"
}

PUT/api/integrations/msp/tenants/{id}/invite

Response by the invited Tenant account owner

Path Parameters

  • Name
    id
    Type
    string
    Required
    required
    Enum
    Description

    The unique identifier of an existing tenant account

Request-Body Parameters

  • Name
    value
    Type
    string
    Required
    required
    Enum
    Description

    Accept or decline the invitation.

Request

PUT
/api/integrations/msp/tenants/{id}/invite
curl -X PUT https://api.netbird.io/api/integrations/msp/tenants/{id}/invite \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "value": {
    "type": "string",
    "description": "Accept or decline the invitation.",
    "enum": [
      "accept",
      "decline"
    ]
  }
}'